PHONETISAURUS(1)

NAME
phonetisaurus-arpa2wfst-omega - Transform an ARPA LM into an equivalent WFSA

SYNOPSIS

DESCRIPTION
phonetisaurus-arpa2wfst-omega

OPTIONS

--help=<bool> (default: false)

    show usage information

--helpshort=<bool> (default: false)

    show brief usage information

--tmpdir=<string> (default: "/tmp/")

    temporary directory

--v=<int32> (default: 0)

    verbose level

--fst_align=<bool> (default: false)

    Write FST data aligned where appropriate

--fst_default_cache_gc=<bool> (default: true)

    Enable garbage collection of cache

--fst_default_cache_gc_limit=<int64> (default: 1048576)

    Cache byte size that triggers garbage collection

--fst_verify_properties=<bool> (default: false)

    Verify fst properties queried by TestProperties

--fst_weight_parentheses=<string> (default: "")

    Characters enclosing the first weight of a printed composite weight (e.g. pair weight, tuple weight and derived classes) to ensure proper I/O of nested composite weights; must have size 0 (none) or 2 (open and close parenthesis)

--fst_weight_separator=<string> (default: ",")

    Character separator between printed composite weights; must be a single character

--save_relabel_ipairs=<string> (default: "")

    Save input relabel pairs to file

--save_relabel_opairs=<string> (default: "")

    Save output relabel pairs to file

--eps=<string> (default: "<eps>")

    Epsilon symbol.

--lm=<string> (default: "")

    Input ARPA-format LM.

--ofile=<string> (default: "")

    Output file for writing. (STDOUT)

--sb=<string> (default: "<s>")

    Sentence begin token.

--se=<string> (default: "</s>")

    Sentence end token.

--skip=<string> (default: "_")

    Character indicating insertions/deletions.

--split=<string> (default: "}")

    Character separating grapheme/phoneme info.

--tie=<string> (default: "|")

    Character separating multi-token subsequences.

--fst_compat_symbols=<bool> (default: true)

    Require symbol tables to match when appropriate

--fst_field_separator=<string> (default: " ")

    Set of characters used as a separator between printed fields

--fst_error_fatal=<bool> (default: true)

    FST errors are fatal; o.w. return objects flagged as bad: e.g., FSTs - kError prop. true, FST weights - not a Member()